> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-list-all-networks",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List all networks with the Chainstack Platform API

> List every blockchain network across your Chainstack projects using the Platform API. Send a GET request to /v1/networks/ to retrieve the paginated list.



## OpenAPI

````yaml get /v1/networks/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/networks/:
    get:
      tags:
        - Network
      summary: List all Networks
      description: List all networks your organization is part of.
      operationId: listAllNetworks
      parameters:
        - $ref: '#/components/parameters/NetworkOrdering'
        - $ref: '#/components/parameters/Pagination'
        - $ref: '#/components/parameters/ProjectIdFilter'
        - $ref: '#/components/parameters/NameFilter'
        - $ref: '#/components/parameters/PublicNetworkNameFilter'
        - $ref: '#/components/parameters/NetworkStatusFilter'
        - $ref: '#/components/parameters/ProtocolFilter'
        - $ref: '#/components/parameters/NetworkProjectTypeFilter'
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/Network'
              examples:
                list:
                  value:
                    count: 1
                    next: null
                    previous: null
                    results:
                      - id: NW-123-456-7
                        name: Mainnet
                        project: PR-123-456
                        protocol: polygon-pos
                        configuration:
                          network: polygon-pos-mainnet
                        details: {}
                        status: ok
                        nodes:
                          - id: ND-123-456-789
                            name: My Polygon PoS node
                            network: NW-123-456-7
                            organization: RG-123-456
                            type: dedicated
                            role: peer
                            provider: gcloud
                            region: asia-southeast1
                            status: running
                            configuration:
                              archive: true
                            details:
                              mode: archive
                              version: 1.0.6
                              api_namespaces:
                                - net
                                - eth
                                - web3
                                - txpool
                                - debug
                                - parlia
                              graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
                              https_endpoint: https://nd-123-456-789.p2pify.com
                              wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
                              auth_username: user-name
                              auth_password: pass-word-pass-word-pass-word
                              auth_key: 3c6e0b8a9c15224a8228b9a98ca1531d
                            created_at: '2020-06-15T07:38:00.747Z'
                            creator:
                              id: UR-111-111-111
                              email: john.smith@example.com
                              first_name: John
                              last_name: Smith
                              organization:
                                id: RG-123-456
                                name: My organization
                        created_at: '2020-06-15T07:38:00.747Z'
                        creator:
                          id: UR-111-111-111
                          email: john.smith@example.com
                          first_name: John
                          last_name: Smith
                          organization:
                            id: RG-123-456
                            name: My organization
          description: ''
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    NetworkOrdering:
      name: order_by
      required: false
      in: query
      description: |
        Which field to use when ordering the results.
        <br> Use the `-` prefix to perform descending ordering (`-name`).
      schema:
        type: string
        enum:
          - name
          - created_at
    Pagination:
      name: page
      required: false
      in: query
      description: A page number within the paginated result set.
      schema:
        type: integer
    ProjectIdFilter:
      name: project
      required: false
      in: query
      description: Filter by project ID.
      schema:
        type: string
    NameFilter:
      name: name
      required: false
      in: query
      description: Filter by name.
      schema:
        type: string
    PublicNetworkNameFilter:
      name: public_network
      required: false
      in: query
      description: Filter by public network.
      schema:
        type: string
        example: corda-network-uat
        enum:
          - ethereum-mainnet
          - ethereum-ropsten-testnet
          - ethereum-rinkeby-testnet
          - polygon-pos-mainnet
          - polygon-pos-testnet
          - bsc-mainnet
          - bsc-testnet
          - avalanche-mainnet
          - avalanche-testnet
          - arbitrum-mainnet
          - arbitrum-goerli
          - near-mainnet
          - near-testnet
          - aurora-mainnet
          - aurora-testnet
          - gnosis-mainnet
          - gnosis-testnet
          - cronos-mainnet
          - cronos-testnet
          - fantom-mainnet
          - fantom-testnet
          - starknet-mainnet
          - starknet-testnet
          - harmony-mainnet
          - harmony-devnet
          - tezos-mainnet
          - tezos-testnet
          - fuse-mainnet
          - fuse-testnet
          - bitcoin-mainnet
          - bitcoin-testnet
    NetworkStatusFilter:
      name: status
      required: false
      in: query
      description: Filter by network status.
      schema:
        $ref: '#/components/schemas/NetworkStatusEnum'
    ProtocolFilter:
      name: protocol
      required: false
      in: query
      description: Filter by protocol.
      schema:
        $ref: '#/components/schemas/Protocol'
    NetworkProjectTypeFilter:
      name: project_type
      required: false
      in: query
      description: Filter by project type.
      schema:
        $ref: '#/components/schemas/ProjectTypeEnum'
  schemas:
    Pagination:
      type: object
      properties:
        count:
          type: integer
          example: 123
          description: Number of the objects in the paginated results.
        next:
          type: string
          nullable: true
          description: Link to the next page.
        previous:
          type: string
          nullable: true
          description: Link to the previous page.
        results:
          type: array
          items:
            type: object
    Network:
      allOf:
        - $ref: '#/components/schemas/BaseNetwork'
        - type: object
          properties:
            name:
              type: string
              description: Name of the network.
            configuration:
              $ref: '#/components/schemas/Configuration'
            nodes:
              items:
                $ref: '#/components/schemas/Node'
    NetworkStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - ok
        - failed
        - warning
        - stopping
        - stopped
        - starting
    Protocol:
      type: string
      enum:
        - ethereum
        - polygon-pos
        - bsc
        - avalanche
        - arbitrum
        - near
        - aurora
        - gnosis
        - cronos
        - fantom
        - starknet
        - harmony
        - tezos
        - fuse
        - bitcoin
      description: >
        Protocol.

        <br>See also [Supported
        protocols](https://docs.chainstack.com/platform/supported-protocols).
    ProjectTypeEnum:
      type: string
      description: |
        Type of the project.
        <br>
        * `public` for public chain project
      enum:
        - public
    BaseNetwork:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        project:
          type: string
          description: |
            ID of the network's project.
        protocol:
          $ref: '#/components/schemas/Protocol'
        details:
          type: object
          readOnly: true
        status:
          $ref: '#/components/schemas/NetworkStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the network was created.
    Configuration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNetworkConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNetworkConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNetworkConfiguration'
        - $ref: '#/components/schemas/AvalancheNetworkConfiguration'
        - $ref: '#/components/schemas/ArbitrumNetworkConfiguration'
        - $ref: '#/components/schemas/NearNetworkConfiguration'
        - $ref: '#/components/schemas/AuroraNetworkConfiguration'
        - $ref: '#/components/schemas/GnosisNetworkConfiguration'
        - $ref: '#/components/schemas/CronosNetworkConfiguration'
        - $ref: '#/components/schemas/FantomNetworkConfiguration'
        - $ref: '#/components/schemas/TezosNetworkConfiguration'
        - $ref: '#/components/schemas/SolanaNetworkConfiguration'
        - $ref: '#/components/schemas/FuseNetworkConfiguration'
        - $ref: '#/components/schemas/BitcoinNetworkConfiguration'
        - $ref: '#/components/schemas/StarknetNetworkConfiguration'
        - $ref: '#/components/schemas/HarmonyNetworkConfiguration'
      readOnly: true
    Node:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            role:
              $ref: '#/components/schemas/NodeRoleEnum'
            configuration:
              $ref: '#/components/schemas/NodeConfiguration'
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    EthereumNetworkConfiguration:
      type: object
      description: Ethereum network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Ethereum
            networks](https://docs.chainstack.com/operations/ethereum/networks).
          enum:
            - ethereum-mainnet
            - ethereum-ropsten-testnet
            - ethereum-rinkeby-testnet
    PolygonPoSNetworkConfiguration:
      type: object
      description: Polygon PoS network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Polygon PoS
            networks](https://docs.chainstack.com/operations/polygon/networks).
          enum:
            - polygon-pos-mainnet
            - polygon-pos-testnet
    BinanceSmartChainNetworkConfiguration:
      type: object
      description: Binance Smart Chain network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Binance Smart Chain
            networks](https://docs.chainstack.com/operations/bsc/networks).
          enum:
            - bsc-mainnet
            - bsc-testnet
    AvalancheNetworkConfiguration:
      type: object
      description: Avalanche network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Avalanche
            networks](https://docs.chainstack.com/operations/avalanche/networks).
          enum:
            - avalanche-mainnet
            - avalanche-testnet
    ArbitrumNetworkConfiguration:
      type: object
      description: Arbitrum network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Arbitrum
            networks](https://docs.chainstack.com/operations/arbitrum/networks).
          enum:
            - arbitrum-mainnet
            - arbitrum-goerli
    NearNetworkConfiguration:
      type: object
      description: Near network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Near
            networks](https://docs.chainstack.com/operations/near/networks).
          enum:
            - near-mainnet
            - near-testnet
    AuroraNetworkConfiguration:
      type: object
      description: Aurora network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Aurora
            networks](https://docs.chainstack.com/operations/aurora/networks).
          enum:
            - aurora-mainnet
            - aurora-testnet
    GnosisNetworkConfiguration:
      type: object
      description: Gnosis network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Gnosis
            networks](https://docs.chainstack.com/operations/gnosis/networks).
          enum:
            - gnosis-mainnet
            - gnosis-testnet
    CronosNetworkConfiguration:
      type: object
      description: Cronos network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Cronos
            networks](https://docs.chainstack.com/operations/cronos/networks).
          enum:
            - cronos-mainnet
            - cronos-testnet
    FantomNetworkConfiguration:
      type: object
      description: Fantom network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Fantom
            networks](https://docs.chainstack.com/operations/fantom/networks).
          enum:
            - fantom-mainnet
            - fantom-testnet
    TezosNetworkConfiguration:
      type: object
      description: Tezos network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Tezos
            networks](https://docs.chainstack.com/operations/tezos/networks).
          enum:
            - tezos-mainnet
            - tezos-testnet
    SolanaNetworkConfiguration:
      type: object
      description: Solana network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Solana
            networks](https://docs.chainstack.com/operations/solana/networks).
          enum:
            - solana-mainnet
            - solana-devnet
    FuseNetworkConfiguration:
      type: object
      description: Fuse network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Fuse
            networks](https://docs.chainstack.com/operations/fuse/networks).
          enum:
            - fuse-mainnet
            - fuse-testnet
    BitcoinNetworkConfiguration:
      type: object
      description: Bitcoin network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Bitcoin
            networks](https://docs.chainstack.com/operations/bitcoin/networks).
          enum:
            - bitcoin-mainnet
            - bitcoin-testnet
    StarknetNetworkConfiguration:
      type: object
      description: StarkNet network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [StarkNet
            networks](https://docs.chainstack.com/operations/starknet/networks).
          enum:
            - starknet-mainnet
    HarmonyNetworkConfiguration:
      type: object
      description: Harmony network configuration.
      properties:
        network:
          type: string
          description: >
            Network to join.

            <br>See also [Harmony
            networks](https://docs.chainstack.com/operations/harmony/networks).
          enum:
            - harmony-mainnet
            - harmony-devnet
    BaseNode:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          description: ID of the network.
        organization:
          type: string
          readOnly: true
          description: ID of the organization that owns this node.
        type:
          $ref: '#/components/schemas/NodeTypeEnum'
        provider:
          $ref: '#/components/schemas/Provider'
        region:
          $ref: '#/components/schemas/Region'
        details:
          allOf:
            - $ref: '#/components/schemas/NodeDetails'
          description: Protocol-specific attributes.
        status:
          $ref: '#/components/schemas/NodeStatusEnum'
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          description: Creator of the network.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the node was created.
    NodeRoleEnum:
      type: string
      description: |
        Role of the node.
        <br>Available roles:
        * `peer` — peer node
      enum:
        - peer
    NodeConfiguration:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeConfiguration'
        - $ref: '#/components/schemas/PolygonPoSNodeConfiguration'
        - $ref: '#/components/schemas/BinanceSmartChainNodeConfiguration'
        - $ref: '#/components/schemas/AvalancheNodeConfiguration'
        - $ref: '#/components/schemas/FantomNodeConfiguration'
        - $ref: '#/components/schemas/TezosNodeConfiguration'
        - $ref: '#/components/schemas/SolanaNodeConfiguration'
        - $ref: '#/components/schemas/StarknetNodeConfiguration'
        - $ref: '#/components/schemas/HarmonyNodeConfiguration'
      readOnly: true
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
    NodeTypeEnum:
      type: string
      description: >
        Type of the node.

        <br>Available types:

        * `shared` — only for `ethereum`, `polygon-pos`, `bsc`, `avalanche`,
        `fantom`, `tezos`, `bitcoin`

        * `dedicated` — for all protocols
      enum:
        - shared
        - dedicated
    Provider:
      type: string
      enum:
        - aws
        - azure
        - gcloud
        - vzo
      description: >
        Cloud provider.

        <br>See also [Supported cloud
        providers](https://docs.chainstack.com/platform/supported-cloud-hosting-providers).
    Region:
      type: string
      enum:
        - asia-southeast1
        - ap-southeast-1
        - us-west-2
        - us-east-1
        - uksouth
        - eu3
      description: |
        Regions the nodes are deployed to.

        Available for `gcloud`:
        * `asia-southeast1`

        Available for `aws`:
        * `ap-southeast-1`
        * `us-west-2`
        * `us-east-1`

        Available for `azure`:
        * `uksouth`

        Available for `vzo`:
        * `eu3`
    NodeDetails:
      oneOf:
        - $ref: '#/components/schemas/EthereumNodeDetails'
        - $ref: '#/components/schemas/BinanceSmartChainNodeDetails'
        - $ref: '#/components/schemas/AvalancheNodeDetails'
        - $ref: '#/components/schemas/FantomNodeDetails'
        - $ref: '#/components/schemas/TezosNodeDetails'
        - $ref: '#/components/schemas/SolanaNodeDetails'
        - $ref: '#/components/schemas/StarknetNodeDetails'
        - $ref: '#/components/schemas/BitcoinNodeDetails'
        - $ref: '#/components/schemas/HarmonyNodeDetails'
      readOnly: true
    NodeStatusEnum:
      type: string
      description: >
        See more about
        [statuses](https://docs.chainstack.com/platform/view-node-and-network-status).
      readOnly: true
      enum:
        - pending
        - running
        - maintenance
        - failed
        - error
        - stopping
        - stopped
        - starting
    EthereumNodeConfiguration:
      type: object
      description: Ethereum node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/ethereum/modes).
    PolygonPoSNodeConfiguration:
      type: object
      description: Polygon PoS node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/polygon/modes).
    BinanceSmartChainNodeConfiguration:
      type: object
      description: Binance Smart Chain node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/bsc/modes).
    AvalancheNodeConfiguration:
      type: object
      description: Avalanche node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/avalanche/modes).
    FantomNodeConfiguration:
      type: object
      description: Fantom node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/fantom/modes).
    TezosNodeConfiguration:
      type: object
      description: Tezos node configuration.
      properties:
        archive:
          type: boolean
          description: >
            Pass `true` if you want to access full blockchain data and an
            archive of historical states.

            <br>See more about [archive
            nodes](https://docs.chainstack.com/operations/tezos/modes).
        tezos_node_type:
          type: string
          description: |
            Currently 'regular' is the only supported type.
    SolanaNodeConfiguration:
      type: object
      description: Solana node configuration.
    StarknetNodeConfiguration:
      type: object
      description: StarkNet node configuration.
    HarmonyNodeConfiguration:
      type: object
      description: Harmony node configuration.
      properties:
        archive:
          type: boolean
          description: |
            Only `false` (full mode) is currently supported.
        shard:
          type: integer
          minimum: 0
          maximum: 0
          description: |
            Only Shard 0 is currently supported.
    EthereumNodeDetails:
      type: object
      description: Ethereum node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Ethereum node
            modes](https://docs.chainstack.com/operations/ethereum/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        beacon_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BinanceSmartChainNodeDetails:
      type: object
      description: Binance Smart Chain node details.
      properties:
        mode:
          type: string
          description: >-
            See also [Binance Smart Chain node
            modes](https://docs.chainstack.com/operations/bsc/modes)
          readOnly: true
          enum:
            - full
            - archive
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    AvalancheNodeDetails:
      type: object
      description: Avalanche node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    FantomNodeDetails:
      type: object
      description: Fantom node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        graphql_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    TezosNodeDetails:
      type: object
      description: Tezos node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    SolanaNodeDetails:
      type: object
      description: Solana node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    StarknetNodeDetails:
      type: object
      description: StarkNet node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
    BitcoinNodeDetails:
      type: object
      description: Bitcoin node details.
      properties:
        version:
          type: string
          readOnly: true
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoint.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoint.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoint.
            <br>Only for the owner of the node.
    HarmonyNodeDetails:
      type: object
      description: Harmony node details.
      properties:
        version:
          type: string
          readOnly: true
        api_namespaces:
          type: array
          readOnly: true
          items:
            type: string
        https_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        wss_endpoint:
          type: string
          readOnly: true
          description: Only for the owner of the node.
        auth_username:
          type: string
          readOnly: true
          description: |
            Basic authentication username to access the node endpoints.
            <br>Only for the owner of the node.
        auth_password:
          type: string
          format: password
          readOnly: true
          description: |
            Basic authentication password to access the node endpoints.
            <br>Only for the owner of the node.
        auth_key:
          type: string
          format: password
          readOnly: true
          description: |
            Authentication key to access the node endpoints.
            <br>Only for the owner of the node.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````